> For the complete documentation index, see [llms.txt](https://docs.datapancake.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.datapancake.com/core-concepts/views/monitoring-and-diagnostic-views.md).

# Monitoring & Diagnostic Views

## VW\_INTEGRATION\_PROCESS

Integration process tracking and status.

**Contents:** Integration process date, feature type, integration type, user name, attribute count, file path

**Use cases:** Integration monitoring, process tracking

## VW\_ACCESS\_CONTROL\_USER\_PRIVILEGES

User access control and privilege information.

**Contents:** User privilege information, access control settings, entity names, privilege names, grant status, timestamps

**Note:** Available to `app_admin` role only.

**Use cases:** Access control management, security auditing

***

## Common Query Patterns

**Monitoring active scans:**

```sql
SELECT datasource_name, configuration_name, scan_status, percentage_complete,
       estimated_records_remaining, process_time_remaining_in_minutes
FROM core.vw_datasource_scans_in_process
ORDER BY scan_datetime_begin DESC;
```

**Reviewing scan history:**

```sql
SELECT datasource_name, configuration_name, scan_datetime_begin, scan_duration_minutes,
       records_processed, records_processed_per_minute, scan_status
FROM core.vw_datasource_scans
WHERE datasource_id = 'your-datasource-id'
ORDER BY scan_datetime_begin DESC LIMIT 10;
```

**Monitoring schema drift:**

```sql
SELECT version_number, attribute_path, polymorphic_attribute_name, version_status, version_status_date
FROM core.vw_datasource_version_all_attributes
WHERE datasource_id = 'your-datasource-id' AND version_status_date >= CURRENT_DATE - 7
ORDER BY version_number DESC, version_status_date DESC;
```

**Reviewing security configuration:**

```sql
SELECT attribute_path, polymorphic_attribute_name, include_column_in_row_access_policy,
       column_masking_policy_name, view_name
FROM core.vw_datasource_attribute_security
WHERE datasource_id = 'your-datasource-id'
  AND (include_column_in_row_access_policy = TRUE OR column_masking_policy_name IS NOT NULL);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.datapancake.com/core-concepts/views/monitoring-and-diagnostic-views.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
